Index: code/branches/consolecommands3/src/libraries/core/BaseObject.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/BaseObject.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/BaseObject.cc	(revision 7204)
@@ -39,5 +39,4 @@
 #include "Event.h"
 #include "EventIncludes.h"
-#include "Functor.h"
 #include "Iterator.h"
 #include "Template.h"
@@ -45,4 +44,5 @@
 #include "XMLNameListener.h"
 #include "XMLPort.h"
+#include "command/Functor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/ConfigFileManager.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/ConfigFileManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/ConfigFileManager.cc	(revision 7204)
@@ -34,7 +34,7 @@
 #include "util/Math.h"
 #include "util/StringUtils.h"
-#include "ConsoleCommand.h"
 #include "ConfigValueContainer.h"
 #include "PathConfig.h"
+#include "command/ConsoleCommand.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/Core.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/Core.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/Core.cc	(revision 7204)
@@ -54,5 +54,4 @@
 #include "util/SignalHandler.h"
 #include "PathConfig.h"
-#include "CommandExecutor.h"
 #include "CommandLineParser.h"
 #include "ConfigFileManager.h"
@@ -65,9 +64,10 @@
 #include "Identifier.h"
 #include "Language.h"
-#include "IOConsole.h"
 #include "LuaState.h"
 #include "ScopedSingletonManager.h"
-#include "TclBind.h"
-#include "TclThreadManager.h"
+#include "command/CommandExecutor.h"
+#include "command/IOConsole.h"
+#include "command/TclBind.h"
+#include "command/TclThreadManager.h"
 #include "input/InputManager.h"
 
Index: code/branches/consolecommands3/src/libraries/core/CorePrereqs.h
===================================================================
--- code/branches/consolecommands3/src/libraries/core/CorePrereqs.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/CorePrereqs.h	(revision 7204)
@@ -116,6 +116,4 @@
     typedef std::string LanguageEntryLabel;
 
-    class ArgumentCompleter;
-    class ArgumentCompletionListElement;
     class BaseObject;
     template <class T>
@@ -127,5 +125,4 @@
     class ClassTreeMaskNode;
     class ClassTreeMaskObjectIterator;
-    class CommandEvaluation;
     class CommandLineParser;
     class CommandLineArgument;
@@ -137,5 +134,4 @@
     class ConfigFileSection;
     class ConfigValueContainer;
-    class ConsoleCommand;
     class Core;
     class DynLib;
@@ -143,13 +139,5 @@
     struct Event;
     class EventState;
-    class Executor;
-    template <class T>
-    class ExecutorMember;
-    class ExecutorStatic;
     class Factory;
-    class Functor;
-    template <class T>
-    class FunctorMember;
-    class FunctorStatic;
     class Game;
     class GameState;
@@ -159,6 +147,4 @@
     class GUIManager;
     class Identifier;
-    class IOConsole;
-    class IRC;
     template <class T>
     class Iterator;
@@ -185,15 +171,8 @@
     struct ResourceInfo;
     class SettingsConfigFile;
-    class Shell;
-    class ShellListener;
     template <class T>
     class SmartPtr;
     template <class T>
     class SubclassIdentifier;
-    class TclBind;
-    struct TclInterpreterBundle;
-    template <class T>
-    class TclThreadList;
-    class TclThreadManager;
     class Template;
     class Thread;
@@ -210,4 +189,27 @@
     class XMLPortObjectContainer;
     class XMLPortParamContainer;
+
+    // Command
+    class ArgumentCompleter;
+    class ArgumentCompletionListElement;
+    class CommandEvaluation;
+    class ConsoleCommand;
+    class Executor;
+    template <class T>
+    class ExecutorMember;
+    class ExecutorStatic;
+    class Functor;
+    template <class T>
+    class FunctorMember;
+    class FunctorStatic;
+    class IOConsole;
+    class IRC;
+    class Shell;
+    class ShellListener;
+    class TclBind;
+    struct TclInterpreterBundle;
+    template <class T>
+    class TclThreadList;
+    class TclThreadManager;
 
     // Input
@@ -236,6 +238,6 @@
 }
 
-#include "FunctorPtr.h"
-#include "ExecutorPtr.h"
+#include "command/FunctorPtr.h"
+#include "command/ExecutorPtr.h"
 
 // CppTcl
Index: code/branches/consolecommands3/src/libraries/core/EventIncludes.h
===================================================================
--- code/branches/consolecommands3/src/libraries/core/EventIncludes.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/EventIncludes.h	(revision 7204)
@@ -31,6 +31,6 @@
 
 #include "CorePrereqs.h"
-#include "Executor.h"
 #include "XMLPort.h"
+#include "command/Executor.h"
 
 /**
Index: code/branches/consolecommands3/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/GUIManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/GUIManager.cc	(revision 7204)
@@ -57,5 +57,4 @@
 #include "util/Exception.h"
 #include "util/OrxAssert.h"
-#include "ConsoleCommand.h"
 #include "Core.h"
 #include "GraphicsManager.h"
@@ -63,4 +62,5 @@
 #include "PathConfig.h"
 #include "Resource.h"
+#include "command/ConsoleCommand.h"
 #include "input/InputManager.h"
 #include "input/InputState.h"
Index: code/branches/consolecommands3/src/libraries/core/Game.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/Game.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/Game.cc	(revision 7204)
@@ -45,5 +45,4 @@
 #include "util/SubString.h"
 #include "CommandLineParser.h"
-#include "ConsoleCommand.h"
 #include "Core.h"
 #include "CoreIncludes.h"
@@ -52,4 +51,5 @@
 #include "GameState.h"
 #include "GUIManager.h"
+#include "command/ConsoleCommand.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/GraphicsManager.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/GraphicsManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/GraphicsManager.cc	(revision 7204)
@@ -52,5 +52,4 @@
 #include "util/StringUtils.h"
 #include "util/SubString.h"
-#include "ConsoleCommand.h"
 #include "ConfigValueIncludes.h"
 #include "CoreIncludes.h"
@@ -62,4 +61,5 @@
 #include "WindowEventListener.h"
 #include "XMLFile.h"
+#include "command/ConsoleCommand.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/Identifier.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/Identifier.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/Identifier.cc	(revision 7204)
@@ -38,7 +38,7 @@
 #include "util/StringUtils.h"
 #include "ConfigValueContainer.h"
-#include "ConsoleCommand.h"
 #include "ClassFactory.h"
 #include "XMLPort.h"
+#include "command/ConsoleCommand.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/LuaState.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/LuaState.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/LuaState.cc	(revision 7204)
@@ -39,7 +39,7 @@
 #include "util/Exception.h"
 #include "util/ScopeGuard.h"
-#include "IOConsole.h"
 #include "Resource.h"
 #include "ToluaBindCore.h"
+#include "command/IOConsole.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/Thread.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/Thread.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/Thread.cc	(revision 7204)
@@ -36,5 +36,5 @@
 
 #include "util/Sleep.h"
-#include "Executor.h"
+#include "command/Executor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/WeakPtr.h
===================================================================
--- code/branches/consolecommands3/src/libraries/core/WeakPtr.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/WeakPtr.h	(revision 7204)
@@ -36,5 +36,5 @@
 #include <cassert>
 #include "OrxonoxClass.h"
-#include "Functor.h"
+#include "command/Functor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/XMLPort.h
===================================================================
--- code/branches/consolecommands3/src/libraries/core/XMLPort.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/XMLPort.h	(revision 7204)
@@ -53,6 +53,6 @@
 #include "util/StringUtils.h"
 #include "Identifier.h"
-#include "Executor.h"
 #include "BaseObject.h"
+#include "command/Executor.h"
 
 // ------------
Index: code/branches/consolecommands3/src/libraries/core/input/Button.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/Button.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/Button.cc	(revision 7204)
@@ -39,7 +39,7 @@
 #include "util/StringUtils.h"
 #include "util/Debug.h"
-#include "core/ConsoleCommand.h"
-#include "core/CommandEvaluation.h"
-#include "core/CommandExecutor.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/CommandEvaluation.h"
+#include "core/command/CommandExecutor.h"
 #include "core/ConfigFileManager.h"
 
Index: code/branches/consolecommands3/src/libraries/core/input/HalfAxis.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/HalfAxis.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/HalfAxis.cc	(revision 7204)
@@ -34,5 +34,5 @@
 
 #include "HalfAxis.h"
-#include "core/CommandEvaluation.h"
+#include "core/command/CommandEvaluation.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/input/InputCommands.h
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/InputCommands.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/InputCommands.h	(revision 7204)
@@ -37,5 +37,5 @@
 
 #include "InputPrereqs.h"
-#include "core/CommandEvaluation.h"
+#include "core/command/CommandEvaluation.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/InputManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/InputManager.cc	(revision 7204)
@@ -47,8 +47,8 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "core/CommandLineParser.h"
-#include "core/Functor.h"
 #include "core/GraphicsManager.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/Functor.h"
 
 #include "InputBuffer.h"
Index: code/branches/consolecommands3/src/libraries/core/input/InputState.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/InputState.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/InputState.cc	(revision 7204)
@@ -28,5 +28,5 @@
 
 #include "InputState.h"
-#include "core/Functor.h"
+#include "core/command/Functor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/KeyBinderManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/KeyBinderManager.cc	(revision 7204)
@@ -32,8 +32,8 @@
 #include "util/Exception.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/LuaState.h"
 #include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "InputManager.h"
 #include "KeyDetector.h"
Index: code/branches/consolecommands3/src/libraries/core/input/KeyDetector.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/KeyDetector.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/KeyDetector.cc	(revision 7204)
@@ -29,7 +29,7 @@
 #include "KeyDetector.h"
 
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "Button.h"
 #include "InputManager.h"
Index: code/branches/consolecommands3/src/libraries/core/input/Mouse.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/core/input/Mouse.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/core/input/Mouse.cc	(revision 7204)
@@ -30,6 +30,6 @@
 
 #include <ois/OISMouse.h>
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
+#include "core/command/ConsoleCommand.h"
 #include "InputState.h"
 
Index: code/branches/consolecommands3/src/libraries/network/GamestateManager.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/network/GamestateManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/network/GamestateManager.cc	(revision 7204)
@@ -47,6 +47,6 @@
 
 #include "util/Debug.h"
-#include "core/Executor.h"
 #include "core/ThreadPool.h"
+#include "core/command/Executor.h"
 #include "ClientInformation.h"
 #include "packet/Acknowledgement.h"
Index: code/branches/consolecommands3/src/libraries/network/Host.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/network/Host.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/network/Host.cc	(revision 7204)
@@ -32,6 +32,6 @@
 #include <string>
 
-#include "core/ConsoleCommand.h"
 #include "core/ObjectList.h"
+#include "core/command/ConsoleCommand.h"
 #include "ChatListener.h"
 
Index: code/branches/consolecommands3/src/libraries/network/NetworkFunction.h
===================================================================
--- code/branches/consolecommands3/src/libraries/network/NetworkFunction.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/network/NetworkFunction.h	(revision 7204)
@@ -39,6 +39,6 @@
 #include <boost/static_assert.hpp>
 
-#include "core/Functor.h"
 #include "core/Identifier.h"
+#include "core/command/Functor.h"
 #include "FunctionCallManager.h"
 #include "synchronisable/Synchronisable.h"
Index: code/branches/consolecommands3/src/libraries/network/Server.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/network/Server.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/network/Server.cc	(revision 7204)
@@ -49,5 +49,5 @@
 #include "util/Debug.h"
 #include "core/ObjectList.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "packet/Chat.h"
 #include "packet/ClassID.h"
Index: code/branches/consolecommands3/src/libraries/tools/Timer.cc
===================================================================
--- code/branches/consolecommands3/src/libraries/tools/Timer.cc	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/tools/Timer.cc	(revision 7204)
@@ -33,7 +33,7 @@
 #include "util/Clock.h"
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
-#include "core/CommandExecutor.h"
-#include "core/Functor.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/CommandExecutor.h"
+#include "core/command/Functor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/libraries/tools/Timer.h
===================================================================
--- code/branches/consolecommands3/src/libraries/tools/Timer.h	(revision 7203)
+++ code/branches/consolecommands3/src/libraries/tools/Timer.h	(revision 7204)
@@ -44,5 +44,5 @@
 
     source.cc:
-        include "core/Executor.h"
+        #include "core/command/Executor.h"
 
         ClassName::ClassName()
@@ -63,6 +63,6 @@
 #include "tools/ToolsPrereqs.h"
 
-#include "core/Executor.h"
 #include "core/OrxonoxClass.h"
+#include "core/command/Executor.h"
 #include "tools/interfaces/TimeFactorListener.h"
 
Index: code/branches/consolecommands3/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/branches/consolecommands3/src/modules/designtools/ScreenshotManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/designtools/ScreenshotManager.cc	(revision 7204)
@@ -12,5 +12,5 @@
 #include "core/PathConfig.h"
 #include "core/ScopedSingletonManager.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "CameraManager.h"
Index: code/branches/consolecommands3/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- code/branches/consolecommands3/src/modules/designtools/SkyboxGenerator.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/designtools/SkyboxGenerator.cc	(revision 7204)
@@ -34,13 +34,13 @@
 #include <OgreCamera.h>
 
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
+#include "core/GraphicsManager.h"
 #include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/CommandExecutor.h"
 #include "controllers/HumanController.h"
 #include "worldentities/CameraPosition.h"
 #include "worldentities/ControllableEntity.h"
-#include "core/GraphicsManager.h"
-#include "core/CommandExecutor.h"
 #include "graphics/Camera.h"
 
Index: code/branches/consolecommands3/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/branches/consolecommands3/src/modules/objects/triggers/Trigger.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/objects/triggers/Trigger.cc	(revision 7204)
@@ -30,7 +30,7 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
+#include "core/command/ConsoleCommand.h"
 #include "Scene.h"
 
Index: code/branches/consolecommands3/src/modules/overlays/OverlaysPrecompiledHeaders.h
===================================================================
--- code/branches/consolecommands3/src/modules/overlays/OverlaysPrecompiledHeaders.h	(revision 7203)
+++ code/branches/consolecommands3/src/modules/overlays/OverlaysPrecompiledHeaders.h	(revision 7204)
@@ -58,5 +58,5 @@
 ///////////////////////////////////////////
 
-#include "core/Executor.h"     // 13
+#include "core/command/Executor.h"     // 13
 //#include "network/synchronisable/Synchronisable.h" // 13
 //#include "core/XMLPort.h"    // 9
Index: code/branches/consolecommands3/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/consolecommands3/src/modules/overlays/hud/ChatOverlay.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/overlays/hud/ChatOverlay.cc	(revision 7204)
@@ -36,5 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 
 #include "tools/Timer.h"
Index: code/branches/consolecommands3/src/modules/overlays/hud/GametypeStatus.cc
===================================================================
--- code/branches/consolecommands3/src/modules/overlays/hud/GametypeStatus.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/overlays/hud/GametypeStatus.cc	(revision 7204)
@@ -30,6 +30,6 @@
 
 #include "util/Convert.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
+#include "core/command/ConsoleCommand.h"
 #include "infos/GametypeInfo.h"
 #include "infos/PlayerInfo.h"
Index: code/branches/consolecommands3/src/modules/pong/Pong.cc
===================================================================
--- code/branches/consolecommands3/src/modules/pong/Pong.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/pong/Pong.cc	(revision 7204)
@@ -31,5 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/EventIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "PongCenterpoint.h"
 #include "PongBall.h"
Index: code/branches/consolecommands3/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/branches/consolecommands3/src/modules/questsystem/QuestManager.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/questsystem/QuestManager.cc	(revision 7204)
@@ -39,7 +39,7 @@
 #include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
-#include "core/ConsoleCommand.h"
 #include "core/LuaState.h"
 #include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "infos/PlayerInfo.h"
 #include "overlays/GUIOverlay.h"
Index: code/branches/consolecommands3/src/modules/questsystem/QuestsystemPrecompiledHeaders.h
===================================================================
--- code/branches/consolecommands3/src/modules/questsystem/QuestsystemPrecompiledHeaders.h	(revision 7203)
+++ code/branches/consolecommands3/src/modules/questsystem/QuestsystemPrecompiledHeaders.h	(revision 7204)
@@ -65,5 +65,5 @@
 ///////////////////////////////////////////
 
-#include "core/Executor.h"     // 15
+#include "core/command/Executor.h"     // 15
 //#include "core/XMLPort.h"    // 14
 
Index: code/branches/consolecommands3/src/modules/weapons/MuzzleFlash.cc
===================================================================
--- code/branches/consolecommands3/src/modules/weapons/MuzzleFlash.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/weapons/MuzzleFlash.cc	(revision 7204)
@@ -31,5 +31,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- code/branches/consolecommands3/src/modules/weapons/projectiles/Projectile.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/weapons/projectiles/Projectile.cc	(revision 7204)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
+#include "core/command/Executor.h"
 #include "objects/collisionshapes/SphereCollisionShape.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- code/branches/consolecommands3/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 7204)
@@ -30,6 +30,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "graphics/Model.h"
 
Index: code/branches/consolecommands3/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- code/branches/consolecommands3/src/modules/weapons/weaponmodes/HsW01.cc	(revision 7203)
+++ code/branches/consolecommands3/src/modules/weapons/weaponmodes/HsW01.cc	(revision 7204)
@@ -30,6 +30,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "graphics/Model.h"
 
Index: code/branches/consolecommands3/src/orxonox/ChatInputHandler.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/ChatInputHandler.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/ChatInputHandler.cc	(revision 7204)
@@ -29,8 +29,8 @@
 #include "ChatInputHandler.h"
 #include <core/ScopedSingletonManager.h>
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
 #include "core/CorePrereqs.h"
+#include "core/command/ConsoleCommand.h"
 #include <CEGUIWindow.h>
 #include <elements/CEGUIListbox.h>
Index: code/branches/consolecommands3/src/orxonox/OrxonoxPrecompiledHeaders.h
===================================================================
--- code/branches/consolecommands3/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 7204)
@@ -89,5 +89,5 @@
 #include "network/synchronisable/Synchronisable.h" // 70
 #include "util/MultiType.h"    // 65
-#include "core/Executor.h"     // 55
+#include "core/command/Executor.h"     // 55
 //#include "core/XMLPort.h"     // 41
 
Index: code/branches/consolecommands3/src/orxonox/Radar.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/Radar.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/Radar.cc	(revision 7204)
@@ -37,6 +37,6 @@
 
 //#include "util/Math.h"
-#include "core/ConsoleCommand.h"
 #include "core/ObjectList.h"
+#include "core/command/ConsoleCommand.h"
 #include "interfaces/RadarListener.h"
 #include "controllers/HumanController.h"
Index: code/branches/consolecommands3/src/orxonox/Test.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/Test.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/Test.cc	(revision 7204)
@@ -29,5 +29,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 #include "network/NetworkFunction.h"
 #include "Test.h"
@@ -37,5 +37,5 @@
 {
     CreateFactory ( Test );
-  
+
     SetConsoleCommand(Test, printV1, true).accessLevel(AccessLevel::User);
     SetConsoleCommand(Test, printV2, true).accessLevel(AccessLevel::User);
@@ -44,14 +44,14 @@
     SetConsoleCommand(Test, call, true).accessLevel(AccessLevel::User);
     SetConsoleCommand(Test, call2, true).accessLevel(AccessLevel::User);
-  
-  
+
+
   //void=* aaaaa = copyPtr<sizeof(&Test::printV1)>( &NETWORK_FUNCTION_POINTER, &Test::printV1 );
   //void* NETWORK_FUNCTION_TEST_B = memcpy(&NETWORK_FUNCTION_POINTER, &a, sizeof(a));
 //   NetworkFunctionBase* NETWORK_FUNCTION_TEST_C = new NetworkFunctionStatic( createFunctor(&Test::printV1), "bla", NETWORK_FUNCTION_POINTER );
-  
+
     registerStaticNetworkFunction( &Test::printV1 );
     registerMemberNetworkFunction( Test, checkU1 );
     registerMemberNetworkFunction( Test, printBlaBla );
-  
+
     Test* Test::instance_ = 0;
 
@@ -78,5 +78,5 @@
         SetConfigValue ( u3, 3 )/*.callback ( this, &Test::checkV3 )*/;
         SetConfigValue ( u4, 4 )/*.callback ( this, &Test::checkV4 )*/;
-    
+
         SetConfigValue ( s1, 1 )/*.callback ( this, &Test::checkV1 )*/;
         SetConfigValue ( s2, 2 )/*.callback ( this, &Test::checkV2 )*/;
@@ -89,18 +89,18 @@
     {
         registerVariable ( this->mySet_, VariableDirection::ToClient );
-      
+
 //         registerVariable ( u1, VariableDirection::ToClient, new NetworkCallback<Test> ( this, &Test::checkU1 ));
 //         registerVariable ( u2, VariableDirection::ToServer, new NetworkCallback<Test> ( this, &Test::checkU2 ));
 //         registerVariable ( u3, Bidirectionality::ServerMaster, new NetworkCallback<Test> ( this, &Test::checkU3 ), true );
 //         registerVariable ( u4, Bidirectionality::ClientMaster, new NetworkCallback<Test> ( this, &Test::checkU4 ), true );
-    
+
 //         registerVariable ( s1, VariableDirection::ToClient, new NetworkCallback<Test> ( this, &Test::checkS1 ));
 //         registerVariable ( s2, VariableDirection::ToServer, new NetworkCallback<Test> ( this, &Test::checkS2 ));
 //         registerVariable ( s3, Bidirectionality::ServerMaster, new NetworkCallback<Test> ( this, &Test::checkS3 ), true );
 //         registerVariable ( s4, Bidirectionality::ClientMaster, new NetworkCallback<Test> ( this, &Test::checkS4 ), true );
-    
+
 //         registerVariable ( pointer_, VariableDirection::ToClient, new NetworkCallback<Test> ( this, &Test::printPointer ) );
     }
-  
+
   void Test::call(unsigned int clientID)
     {
@@ -108,10 +108,10 @@
         callStaticNetworkFunction( &Test::printV1, clientID );
     }
-  
+
     void Test::call2(unsigned int clientID, std::string s1, std::string s2, std::string s3, std::string s4)
     {
         callMemberNetworkFunction( Test, printBlaBla, this->getObjectID(), clientID, s1, s2, s3, s4, s4 );
     }
-  
+
     void Test::tick(float dt)
     {
@@ -132,10 +132,10 @@
     //       callMemberNetworkFunction( Test, checkU1, this->getObjectID(), 0 );
     }
-    
+
     void Test::printBlaBla(std::string s1, std::string s2, std::string s3, std::string s4, std::string s5)
     {
         COUT(0) << s1 << s2 << s3 << s4 << s5 << endl;
     }
-    
+
     void Test::checkU1(){ COUT(1) << "U1 changed: " << u1 << std::endl; }
     void Test::checkU2(){ COUT(1) << "U2 changed: " << u2 << std::endl; }
@@ -147,5 +147,5 @@
     void Test::checkS3(){ COUT(1) << "S3 changed: " << s3 << std::endl; }
     void Test::checkS4(){ COUT(1) << "S4 changed: " << s4 << std::endl; }
-    
+
     void Test::printPointer(){ CCOUT(1) << "pointer: " << this->pointer_ << endl; }
 
Index: code/branches/consolecommands3/src/orxonox/controllers/AIController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/AIController.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/controllers/AIController.cc	(revision 7204)
@@ -31,5 +31,5 @@
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/ArtificialController.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/controllers/ArtificialController.cc	(revision 7204)
@@ -33,7 +33,7 @@
 
 #include "util/Math.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/DroneController.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/controllers/DroneController.cc	(revision 7204)
@@ -32,5 +32,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "worldentities/ControllableEntity.h"
 
Index: code/branches/consolecommands3/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/HumanController.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/controllers/HumanController.cc	(revision 7204)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/NewHumanController.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/controllers/NewHumanController.cc	(revision 7204)
@@ -37,5 +37,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSGraphics.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSGraphics.cc	(revision 7204)
@@ -35,8 +35,8 @@
 #include "GSGraphics.h"
 
-#include "core/CommandExecutor.h"
-#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GUIManager.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/CommandExecutor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSLevel.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSLevel.cc	(revision 7204)
@@ -36,5 +36,4 @@
 #include "core/input/InputState.h"
 #include "core/input/KeyBinderManager.h"
-#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
@@ -42,4 +41,5 @@
 #include "core/Loader.h"
 #include "core/XMLFile.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "LevelManager.h"
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSMainMenu.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSMainMenu.cc	(revision 7204)
@@ -33,9 +33,9 @@
 #include "core/input/KeyBinderManager.h"
 #include "core/Game.h"
-#include "core/ConsoleCommand.h"
 #include "core/ConfigValueIncludes.h"
 #include "core/CoreIncludes.h"
 #include "core/GraphicsManager.h"
 #include "core/GUIManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "Scene.h"
 #include "sound/AmbientSound.h"
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSRoot.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSRoot.cc	(revision 7204)
@@ -31,7 +31,7 @@
 #include "util/Clock.h"
 #include "core/BaseObject.h"
-#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
+#include "core/command/ConsoleCommand.h"
 #include "network/NetworkFunction.h"
 #include "tools/Timer.h"
Index: code/branches/consolecommands3/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gametypes/Gametype.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/gametypes/Gametype.cc	(revision 7204)
@@ -33,5 +33,5 @@
 #include "core/ConfigValueIncludes.h"
 #include "core/GameMode.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "infos/PlayerInfo.h"
Index: code/branches/consolecommands3/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 7204)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "worldentities/pawns/TeamBaseMatchBase.h"
 #include "infos/PlayerInfo.h"
Index: code/branches/consolecommands3/src/orxonox/graphics/ParticleSpawner.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/graphics/ParticleSpawner.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/graphics/ParticleSpawner.cc	(revision 7204)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/EventIncludes.h"
-#include "core/Executor.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "tools/ParticleInterface.h"
 
Index: code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.cc	(revision 7204)
@@ -47,6 +47,6 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "core/input/InputManager.h"
 #include "core/input/InputState.h"
Index: code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.h
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.h	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.h	(revision 7204)
@@ -37,6 +37,6 @@
 #include "util/OgreForwardRefs.h"
 #include "util/Singleton.h"
-#include "core/Shell.h"
 #include "core/WindowEventListener.h"
+#include "core/command/Shell.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7204)
@@ -48,5 +48,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "OverlayGroup.h"
Index: code/branches/consolecommands3/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/OverlayGroup.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/overlays/OverlayGroup.cc	(revision 7204)
@@ -34,7 +34,7 @@
 #include "OverlayGroup.h"
 
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "core/command/ConsoleCommand.h"
 #include "OrxonoxOverlay.h"
 
Index: code/branches/consolecommands3/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/sound/WorldSound.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/sound/WorldSound.cc	(revision 7204)
@@ -37,5 +37,4 @@
 #include "Scene.h"
 #include "SoundManager.h"
-#include <core/ConsoleCommandCompilation.h>
 
 namespace orxonox
Index: code/branches/consolecommands3/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/worldentities/BigExplosion.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/worldentities/BigExplosion.cc	(revision 7204)
@@ -31,6 +31,6 @@
 #include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
+#include "core/command/Executor.h"
 #include "tools/ParticleInterface.h"
 #include "Scene.h"
Index: code/branches/consolecommands3/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/worldentities/ExplosionChunk.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/worldentities/ExplosionChunk.cc	(revision 7204)
@@ -30,6 +30,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
+#include "core/command/Executor.h"
 #include "util/Exception.h"
 #include "Scene.h"
Index: code/branches/consolecommands3/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/worldentities/MovableEntity.cc	(revision 7203)
+++ code/branches/consolecommands3/src/orxonox/worldentities/MovableEntity.cc	(revision 7204)
@@ -31,7 +31,7 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "worldentities/pawns/Pawn.h"
 
